Subject: Re: RFC: a plugin architecture for git extensions?

From: Miles Bader <[email-masked]>
Date: Mon, 09 May 2011 13:36:16 +0900

Junio C Hamano <[email-masked]> writes:
> Do you or do you not run "apt-get install git-superadd"?
>
> One possible answer may be to run "apt-get install git-superadd", and then
> the users who want "git add" to behave in a new way to opt-in to use the
> "plug-in".  I think that is what Jon is getting at.

If aliases could override built-in command names, it'd be easy enough
("alias add=superadd") ... [with some feature to allow suppressing the
alias to prevent recursion, e.g. an environment variable or something.]

-Miles

-- 
Justice, n. A commodity which in a more or less adulterated condition the
State sells to the citizen as a reward for his allegiance, taxes and personal
service.